Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Problem installing from an update site with features dependent on other features
Problem installing from an update site with features dependent on other features [message #226480] Mon, 12 January 2009 20:52 Go to next message
Eclipse UserFriend
Originally posted by: eclipse-news.rizzoweb.com

Our plugins are build using a target platform that is essentially the
Eclipse JEE package 3.4.1 plus some other stuff. Our feature used to
work fine when our target was Eclipse 3.3-based, but now p2 is thwarting me.
I've got a base Eclipse 3.4.1 (the JEE development package) that I'm
trying to install our feature into. I've build the feature using other
features in defining the dependencies (as opposed to listing plugins as
the dependencies). The problem is that trying to install into the base
Eclipse 3.4.1, p2 refuses to resolve those dependencies.
If I let PDE "calculate" the dependencies for me (presumably based on
the plug-ins that are included in the feature), it will install.
However, the calculates list of required plug-ins is not very robust;
there are duplicates and conflicting versions of the same plugins, and
many that specify no versions at all. I'd like to use features and be
specific about the versions and match rules.

Below is the error details that p2 spits out. I know this is huge and I
apologize for that, but this output is, quite frankly, useless to me;
I'm hoping one of the p2 or WTP folks can help me make sense of it to
determine what might be incorrect in my feature.xml

Thanks,
Eric

Cannot complete the request. See the details.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 0.v20080512-1800,1.0.0.v20080512-1800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 1.R34x_v20080721,1.0.1.R34x_v20080721]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.0.102.v200810160200-793DxCYQCD4FdGcCMCC,2.0.102.v200810 160200-793DxCYQCD4FdGcCMCC]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.1.0.v200812180210-7979AgCYQCD4IRJdCEDC,2.1.0.v200812180 210-7979AgCYQCD4IRJdCEDC]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.201.v2 0080708_34x,3.2.201.v20080708_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.200.v2 0080507,3.2.200.v20080507]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.0.102.v20081 0220200,2.0.102.v200810220200]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.1.0.v2008120 80000,2.1.0.v200812080000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.202. v200810160200,1.0.202.v200810160200]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.300. v200812110000,1.0.300.v200812110000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqsu ,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqs u]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M,3.4.0 .v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.1.M2008090 3-2000,3.4.1.M20080903-2000]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I2008060 6-1300,3.4.0.I20080606-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.0.101.v200 809020200,2.0.101.v200809020200]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.1.0.v20081 2160210,2.1.0.v200812160210]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.101.M20080910-0800,3.3.101.M20080910-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.100.I20080606-1300,3.3.100.I20080606-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.101. M20080827-0800,3.3.101.M20080827-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100. I20080606-1300,3.3.100.I20080606-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .1.r341_v20080808-0800,3.4.1.r341_v20080808-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .0.v20080612-1340,3.4.0.v20080612-1340]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.1. R34x_v20080902,3.4.1.R34x_v20080902]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0. v20080604-1400,3.4.0.v20080604-1400]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.0.v20080605-1800,3.4.0.v20080605-1800]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.1.M20080730-0800,3.4.1.M20080730-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.0.I20080527-2000,3.4.0.I20080527-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20 080827,3.4.1.r34x_20080827]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I200806 04,3.4.0.I20080604]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.1.r341_v20 080813-0800,3.4.1.r341_v20080813-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.0.v2008060 3-2000,3.4.0.v20080603-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.101.v200 809111700,3.3.101.v200809111700]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.100.v200 806172000,3.3.100.v200806172000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.1.r341_v20080827-1100,3.4.1.r341_v20080827-1100]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 1.v20080702_34x,3.3.101.v20080702_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 0.v20080508,3.3.100.v20080508]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.1.v20080 811_r341,3.4.1.v20080811_r341]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.0.v20080 529-1300,3.4.0.v20080529-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.1.r34x_ 20080827,3.4.1.r34x_20080827]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.0.I2008 0605,3.4.0.I20080605]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v200 80702_34x,3.2.201.v20080702_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v200 80610,3.2.200.v20080610]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.201.R 34x_v20080714,3.2.201.R34x_v20080714]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.200.v 20080515,3.2.200.v20080515]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4. 0.v3448f]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.1.v3449c,3.4. 1.v3449c]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.0.v3448f,3.4.0.v3448f]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.1.v3449c,3.4.1.v3449c]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.0 .v20080324a-989JERhEk-jWnd5IY8K5tjxB,3.4.0.v20080324a-989JER hEk-jWnd5IY8K5tjxB]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.1 00.r341_v20080814-989JESIEdAciFYfkZZsBfSwQ2341,3.4.100.r341_ v20080814-989JESIEdAciFYfkZZsBfSwQ2341]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.101.M 20080805_34x,3.3.101.M20080805_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.100.v 20080528,3.3.100.v20080528]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20 080827,3.4.1.r34x_20080827]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I200806 04,3.4.0.I20080604]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 1.v20080702_34x,3.3.101.v20080702_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 0.v20080508,3.3.100.v20080508]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v200 80702_34x,3.2.201.v20080702_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v200 80610,3.2.200.v20080610]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 0.v20080512-1800,1.0.0.v20080512-1800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 1.R34x_v20080721,1.0.1.R34x_v20080721]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.1.M2008090 3-2000,3.4.1.M20080903-2000]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I2008060 6-1300,3.4.0.I20080606-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.101. M20080827-0800,3.3.101.M20080827-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100. I20080606-1300,3.3.100.I20080606-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.0.I20080610-12 00,3.4.0.I20080610-1200]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.1.M20080910-08 00,3.4.1.M20080910-0800]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 1.R34x_v20080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat,1.0.1.R34x_v20 080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L,1.0.0.v20080603-7r7 xEHJEJkZu5nE6Q4Qrtvu6JZ9L]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.200.v20080421-2006,3.2.200.v20080421-2006]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.201.R34x_v20080709,3.2.201.R34x_v20080709]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.1. R34x_v20080902,3.4.1.R34x_v20080902]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0. v20080604-1400,3.4.0.v20080604-1400]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.200.v20080417,3.2.200.v20080417]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.201.R34x_v20080819,3.2.201.R34x_v20080819]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.100.v2008061 0,3.3.100.v20080610]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.101.v2008070 2_34x,3.3.101.v20080702_34x]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.101.v200 809111700,3.3.101.v200809111700]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.100.v200 806172000,3.3.100.v200806172000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.1.v20080 811_r341,3.4.1.v20080811_r341]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.0.v20080 529-1300,3.4.0.v20080529-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.100.v20080509-1800,1.0.100.v20080509-1800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.101.R34x_v20080731,1.0.101.R34x_v20080731]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.0.102.v200810160200-793DxCYQCD4FdGcCMCC,2.0.102.v200810 160200-793DxCYQCD4FdGcCMCC]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.1.0.v200812180210-7979AgCYQCD4IRJdCEDC,2.1.0.v200812180 210-7979AgCYQCD4IRJdCEDC]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.0.102.v20081 0220200,2.0.102.v200810220200]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.1.0.v2008120 80000,2.1.0.v200812080000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.101.M20 080728_34x,3.3.101.M20080728_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.100.v20 080617,3.3.100.v20080617]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.202. v200810160200,1.0.202.v200810160200]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.300. v200812110000,1.0.300.v200812110000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.0.101.v200 809020200,2.0.101.v200809020200]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.1.0.v20081 2160210,2.1.0.v200812160210]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.0.v20080605-1800,3.4.0.v20080605-1800]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.1.M20080730-0800,3.4.1.M20080730-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.0.I20080527-2000,3.4.0.I20080527-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.1.r341_v20 080813-0800,3.4.1.r341_v20080813-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.0.v2008060 3-2000,3.4.0.v20080603-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.1.r341_v20080827-1100,3.4.1.r341_v20080827-1100]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.1.r34x_ 20080827,3.4.1.r34x_20080827]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.0.I2008 0605,3.4.0.I20080605]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.201.R 34x_v20080714,3.2.201.R34x_v20080714]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.200.v 20080515,3.2.200.v20080515]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.0.I2 0080606-1300,3.4.0.I20080606-1300]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.1.M2 0080827-0800a,3.4.1.M20080827-0800a]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.201.v2 0080708_34x,3.2.201.v20080708_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.200.v2 0080507,3.2.200.v20080507]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.101.M2008 0715_34x,3.3.101.M20080715_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.100.v2008 0521,3.3.100.v20080521]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.0.v20080605- 1900,3.4.0.v20080605-1900]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.2.R34x_v2008 0826-1230,3.4.2.R34x_v20080826-1230]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqsu ,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqs u]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M,3.4.0 .v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.101.M20080910-0800,3.3.101.M20080910-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.100.I20080606-1300,3.3.100.I20080606-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .1.r341_v20080808-0800,3.4.1.r341_v20080808-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .0.v20080612-1340,3.4.0.v20080612-1340]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4. 0.v3448f]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.1.v3449c,3.4. 1.v3449c]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/[1.1.200. v200806041500,1.1.200.v200806041500]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/[1.1.203. v200811060900,1.1.203.v200811060900]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.0.v3448f,3.4.0.v3448f]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.1.v3449c,3.4.1.v3449c]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.0 .v20080324a-989JERhEk-jWnd5IY8K5tjxB,3.4.0.v20080324a-989JER hEk-jWnd5IY8K5tjxB]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.1 00.r341_v20080814-989JESIEdAciFYfkZZsBfSwQ2341,3.4.100.r341_ v20080814-989JESIEdAciFYfkZZsBfSwQ2341]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity /[1.1.1.v200809180120,1.1.1.v200809180120]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity /[1.1.0.v200805160228,1.1.0.v200805160228]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/[1.1.0.v2 0080606,1.1.0.v20080606]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/[1.1.102. v20080909,1.1.102.v20080909]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.standard.schemas/[ 1.0.100.v200806021952,1.0.100.v200806021952]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.standard.schemas/[ 1.0.101.v200807220523,1.0.101.v200807220523]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.101.M 20080805_34x,3.3.101.M20080805_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.100.v 20080528,3.3.100.v20080528]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/[2.0.100 .v200806051600,2.0.100.v200806051600]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/[2.0.102 .v200810230530,2.0.102.v200810230530]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20 080827,3.4.1.r34x_20080827]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I200806 04,3.4.0.I20080604]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 1.v20080702_34x,3.3.101.v20080702_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 0.v20080508,3.3.100.v20080508]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/[1.1.200 .v200806052000,1.1.200.v200806052000]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/[1.1.202 .v200811111600,1.1.202.v200811111600]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v200 80702_34x,3.2.201.v20080702_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v200 80610,3.2.200.v20080610]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/ [1.1.200.v200805140020,1.1.200.v200805140020]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/ [1.1.201.v200810161330,1.1.201.v200810161330]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 0.v20080512-1800,1.0.0.v20080512-1800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 1.R34x_v20080721,1.0.1.R34x_v20080721]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.1.M2008090 3-2000,3.4.1.M20080903-2000]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I2008060 6-1300,3.4.0.I20080606-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.101. M20080827-0800,3.3.101.M20080827-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100. I20080606-1300,3.3.100.I20080606-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.0.I20080610-12 00,3.4.0.I20080610-1200]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.1.M20080910-08 00,3.4.1.M20080910-0800]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 1.R34x_v20080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat,1.0.1.R34x_v20 080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L,1.0.0.v20080603-7r7 xEHJEJkZu5nE6Q4Qrtvu6JZ9L]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.200.v20080421-2006,3.2.200.v20080421-2006]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.201.R34x_v20080709,3.2.201.R34x_v20080709]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.1. R34x_v20080902,3.4.1.R34x_v20080902]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0. v20080604-1400,3.4.0.v20080604-1400]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.200.v20080417,3.2.200.v20080417]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.201.R34x_v20080819,3.2.201.R34x_v20080819]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.100.v2008061 0,3.3.100.v20080610]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.101.v2008070 2_34x,3.3.101.v20080702_34x]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.core/[1.2.100. v200806050300,1.2.100.v200806050300]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.core/[1.2.120. v200810301812,1.2.120.v200810301812]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.101.v200 809111700,3.3.101.v200809111700]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.100.v200 806172000,3.3.100.v200806172000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.1.v20080 811_r341,3.4.1.v20080811_r341]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.0.v20080 529-1300,3.4.0.v20080529-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jee/[1.0.100.v2008 05140020,1.0.100.v200805140020]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jee/[1.0.102.v2008 11060500,1.0.102.v200811060500]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.100.v20080509-1800,1.0.100.v20080509-1800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.101.R34x_v20080731,1.0.101.R34x_v20080731]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.webservice/[1 .1.200.v200805150230,1.1.200.v200805150230]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.webservice/[1 .1.201.v200807240600,1.1.201.v200807240600]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.0.102.v200810160200-793DxCYQCD4FdGcCMCC,2.0.102.v200810 160200-793DxCYQCD4FdGcCMCC]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.1.0.v200812180210-7979AgCYQCD4IRJdCEDC,2.1.0.v200812180 210-7979AgCYQCD4IRJdCEDC]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.ejb/[1.0.100.v 200805151150,1.0.100.v200805151150]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.ejb/[1.0.102.v 200810230722,1.0.102.v200810230722]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.0.102.v20081 0220200,2.0.102.v200810220200]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.1.0.v2008120 80000,2.1.0.v200812080000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.101.M20 080728_34x,3.3.101.M20080728_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.100.v20 080617,3.3.100.v20080617]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.202. v200810160200,1.0.202.v200810160200]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.300. v200812110000,1.0.300.v200812110000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.0.101.v200 809020200,2.0.101.v200809020200]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.1.0.v20081 2160210,2.1.0.v200812160210]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee/[1.1.200.v200 806051600,1.1.200.v200806051600]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee/[1.1.204.v200 811130630,1.1.204.v200811130630]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.0.v20080605-1800,3.4.0.v20080605-1800]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.standard.tagsu pport/[1.1.0.v20080515,1.1.0.v20080515]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.standard.tagsu pport/[1.1.101.v20080828,1.1.101.v20080828]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.1.M20080730-0800,3.4.1.M20080730-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.0.I20080527-2000,3.4.0.I20080527-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.1.r341_v20 080813-0800,3.4.1.r341_v20080813-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.0.v2008060 3-2000,3.4.0.v20080603-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.1.r341_v20080827-1100,3.4.1.r341_v20080827-1100]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.1.r34x_ 20080827,3.4.1.r34x_20080827]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.0.I2008 0605,3.4.0.I20080605]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.enterprise_core.fe ature.feature.jar/[3.0.0.v200806092130-42E9w_kE77c7S9O_JE7,3 .0.0.v200806092130-42E9w_kE77c7S9O_JE7]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.enterprise_core.fe ature.feature.jar/[3.0.3.v200810010400-42E_4_kE77c_FAP7X99,3 .0.3.v200810010400-42E_4_kE77c_FAP7X99]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.201.R 34x_v20080714,3.2.201.R34x_v20080714]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.200.v 20080515,3.2.200.v20080515]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.web/[1.0.100.v 200805140020,1.0.100.v200805140020]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.web/[1.0.101.v 200810230738,1.0.101.v200810230738]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.web/[1.1.200. v200806051600,1.1.200.v200806051600]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.web/[1.1.202. v200811060500,1.1.202.v200811060500]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.0.I2 0080606-1300,3.4.0.I20080606-1300]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.1.M2 0080827-0800a,3.4.1.M20080827-0800a]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.201.v2 0080708_34x,3.2.201.v20080708_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.200.v2 0080507,3.2.200.v20080507]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.101.M2008 0715_34x,3.3.101.M20080715_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.100.v2008 0521,3.3.100.v20080521]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.0.v20080605- 1900,3.4.0.v20080605-1900]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.2.R34x_v2008 0826-1230,3.4.2.R34x_v20080826-1230]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.common/[1.1.0. v20080605,1.1.0.v20080605]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.common/[1.1.3. v20080915,1.1.3.v20080915]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqsu ,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqs u]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M,3.4.0 .v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.101.M20080910-0800,3.3.101.M20080910-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.100.I20080606-1300,3.3.100.I20080606-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .1.r341_v20080808-0800,3.4.1.r341_v20080808-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .0.v20080612-1340,3.4.0.v20080612-1340]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.ejb/[1.1.200. v200806041500,1.1.200.v200806041500]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.ejb/[1.1.203. v200811060500,1.1.203.v200811060500]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.web_core.feature.f eature.jar/[3.0.0.v200806092130-7M7AERgEFp_acwcEhxa_fS,3.0.0 .v200806092130-7M7AERgEFp_acwcEhxa_fS]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.web_core.feature.f eature.jar/[3.0.3.v200810020322-7M7AEX2EFp_acwkiuz-bTpl,3.0. 3.v200810020322-7M7AEX2EFp_acwkiuz-bTpl]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jem/[2.0.200.v20080605 1600,2.0.200.v200806051600]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jem/[2.0.202.v20081028 2000,2.0.202.v200810282000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4. 0.v3448f]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.1.v3449c,3.4. 1.v3449c]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/[1.1.200. v200806041500,1.1.200.v200806041500]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/[1.1.203. v200811060900,1.1.203.v200811060900]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.0.v3448f,3.4.0.v3448f]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.1.v3449c,3.4.1.v3449c]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.0 .v20080324a-989JERhEk-jWnd5IY8K5tjxB,3.4.0.v20080324a-989JER hEk-jWnd5IY8K5tjxB]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.1 00.r341_v20080814-989JESIEdAciFYfkZZsBfSwQ2341,3.4.100.r341_ v20080814-989JESIEdAciFYfkZZsBfSwQ2341]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity /[1.1.1.v200809180120,1.1.1.v200809180120]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity /[1.1.0.v200805160228,1.1.0.v200805160228]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/[1.1.0.v2 0080606,1.1.0.v20080606]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/[1.1.102. v20080909,1.1.102.v20080909]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.standard.schemas/[ 1.0.100.v200806021952,1.0.100.v200806021952]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.standard.schemas/[ 1.0.101.v200807220523,1.0.101.v200807220523]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.101.M 20080805_34x,3.3.101.M20080805_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.100.v 20080528,3.3.100.v20080528]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/[2.0.100 .v200806051600,2.0.100.v200806051600]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/[2.0.102 .v200810230530,2.0.102.v200810230530]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20 080827,3.4.1.r34x_20080827]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I200806 04,3.4.0.I20080604]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 1.v20080702_34x,3.3.101.v20080702_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 0.v20080508,3.3.100.v20080508]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/[1.1.200 .v200806052000,1.1.200.v200806052000]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/[1.1.202 .v200811111600,1.1.202.v200811111600]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v200 80702_34x,3.2.201.v20080702_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v200 80610,3.2.200.v20080610]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/ [1.1.200.v200805140020,1.1.200.v200805140020]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/ [1.1.201.v200810161330,1.1.201.v200810161330]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 0.v20080512-1800,1.0.0.v20080512-1800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 1.R34x_v20080721,1.0.1.R34x_v20080721]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.1.M2008090 3-2000,3.4.1.M20080903-2000]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I2008060 6-1300,3.4.0.I20080606-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.101. M20080827-0800,3.3.101.M20080827-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100. I20080606-1300,3.3.100.I20080606-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.0.I20080610-12 00,3.4.0.I20080610-1200]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.1.M20080910-08 00,3.4.1.M20080910-0800]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 1.R34x_v20080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat,1.0.1.R34x_v20 080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L,1.0.0.v20080603-7r7 xEHJEJkZu5nE6Q4Qrtvu6JZ9L]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.200.v20080421-2006,3.2.200.v20080421-2006]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.201.R34x_v20080709,3.2.201.R34x_v20080709]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.1. R34x_v20080902,3.4.1.R34x_v20080902]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0. v20080604-1400,3.4.0.v20080604-1400]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.200.v20080417,3.2.200.v20080417]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.201.R34x_v20080819,3.2.201.R34x_v20080819]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.100.v2008061 0,3.3.100.v20080610]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.101.v2008070 2_34x,3.3.101.v20080702_34x]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.core/[1.2.100. v200806050300,1.2.100.v200806050300]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.core/[1.2.120. v200810301812,1.2.120.v200810301812]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.101.v200 809111700,3.3.101.v200809111700]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.100.v200 806172000,3.3.100.v200806172000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.1.v20080 811_r341,3.4.1.v20080811_r341]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.0.v20080 529-1300,3.4.0.v20080529-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jee/[1.0.100.v2008 05140020,1.0.100.v200805140020]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jee/[1.0.102.v2008 11060500,1.0.102.v200811060500]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.100.v20080509-1800,1.0.100.v20080509-1800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.101.R34x_v20080731,1.0.101.R34x_v20080731]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.webservice/[1 .1.200.v200805150230,1.1.200.v200805150230]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.webservice/[1 .1.201.v200807240600,1.1.201.v200807240600]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.0.102.v200810160200-793DxCYQCD4FdGcCMCC,2.0.102.v200810 160200-793DxCYQCD4FdGcCMCC]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.1.0.v200812180210-7979AgCYQCD4IRJdCEDC,2.1.0.v200812180 210-7979AgCYQCD4IRJdCEDC]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.ejb/[1.0.100.v 200805151150,1.0.100.v200805151150]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.ejb/[1.0.102.v 200810230722,1.0.102.v200810230722]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.0.102.v20081 0220200,2.0.102.v200810220200]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.1.0.v2008120 80000,2.1.0.v200812080000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.101.M20 080728_34x,3.3.101.M20080728_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.100.v20 080617,3.3.100.v20080617]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.202. v200810160200,1.0.202.v200810160200]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.300. v200812110000,1.0.300.v200812110000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.0.101.v200 809020200,2.0.101.v200809020200]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.1.0.v20081 2160210,2.1.0.v200812160210]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee/[1.1.200.v200 806051600,1.1.200.v200806051600]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee/[1.1.204.v200 811130630,1.1.204.v200811130630]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.0.v20080605-1800,3.4.0.v20080605-1800]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.standard.tagsu pport/[1.1.0.v20080515,1.1.0.v20080515]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.standard.tagsu pport/[1.1.101.v20080828,1.1.101.v20080828]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.1.M20080730-0800,3.4.1.M20080730-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.0.I20080527-2000,3.4.0.I20080527-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.1.r341_v20 080813-0800,3.4.1.r341_v20080813-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.0.v2008060 3-2000,3.4.0.v20080603-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.1.r341_v20080827-1100,3.4.1.r341_v20080827-1100]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.1.r34x_ 20080827,3.4.1.r34x_20080827]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.0.I2008 0605,3.4.0.I20080605]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.enterprise_core.fe ature.feature.jar/[3.0.0.v200806092130-42E9w_kE77c7S9O_JE7,3 .0.0.v200806092130-42E9w_kE77c7S9O_JE7]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.enterprise_core.fe ature.feature.jar/[3.0.3.v200810010400-42E_4_kE77c_FAP7X99,3 .0.3.v200810010400-42E_4_kE77c_FAP7X99]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.201.R 34x_v20080714,3.2.201.R34x_v20080714]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.200.v 20080515,3.2.200.v20080515]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.web/[1.0.100.v 200805140020,1.0.100.v200805140020]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.web/[1.0.101.v 200810230738,1.0.101.v200810230738]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.web/[1.1.200. v200806051600,1.1.200.v200806051600]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.web/[1.1.202. v200811060500,1.1.202.v200811060500]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.0.I2 0080606-1300,3.4.0.I20080606-1300]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.1.M2 0080827-0800a,3.4.1.M20080827-0800a]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.201.v2 0080708_34x,3.2.201.v20080708_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.200.v2 0080507,3.2.200.v20080507]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.101.M2008 0715_34x,3.3.101.M20080715_34x]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.100.v2008 0521,3.3.100.v20080521]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.0.v20080605- 1900,3.4.0.v20080605-1900]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.2.R34x_v2008 0826-1230,3.4.2.R34x_v20080826-1230]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.common/[1.1.0. v20080605,1.1.0.v20080605]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.common/[1.1.3. v20080915,1.1.3.v20080915]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqsu ,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqs u]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M,3.4.0 .v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.101.M20080910-0800,3.3.101.M20080910-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.100.I20080606-1300,3.3.100.I20080606-1300]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .1.r341_v20080808-0800,3.4.1.r341_v20080808-0800]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .0.v20080612-1340,3.4.0.v20080612-1340]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.ejb/[1.1.200. v200806041500,1.1.200.v200806041500]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.ejb/[1.1.203. v200811060500,1.1.203.v200811060500]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.web_core.feature.f eature.jar/[3.0.0.v200806092130-7M7AERgEFp_acwcEhxa_fS,3.0.0 .v200806092130-7M7AERgEFp_acwcEhxa_fS]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.web_core.feature.f eature.jar/[3.0.3.v200810020322-7M7AEX2EFp_acwkiuz-bTpl,3.0. 3.v200810020322-7M7AEX2EFp_acwkiuz-bTpl]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jem/[2.0.200.v20080605 1600,2.0.200.v200806051600]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jem/[2.0.202.v20081028 2000,2.0.202.v200810282000]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4. 0.v3448f]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.1.v3449c,3.4. 1.v3449c]]
can be satisfied.
Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jc
Re: Problem installing from an update site with features dependent on other features [message #226586 is a reply to message #226480] Wed, 14 January 2009 02:00 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: david_williams.linux.vnet.ibm.com

Eric Rizzo wrote:
> Our plugins are build using a target platform that is essentially the
> Eclipse JEE package 3.4.1 plus some other stuff. Our feature used to
> work fine when our target was Eclipse 3.3-based, but now p2 is
> thwarting me.
> I've got a base Eclipse 3.4.1 (the JEE development package) that I'm
> trying to install our feature into. I've build the feature using other
> features in defining the dependencies (as opposed to listing plugins
> as the dependencies). The problem is that trying to install into the
> base Eclipse 3.4.1, p2 refuses to resolve those dependencies.
> If I let PDE "calculate" the dependencies for me (presumably based on
> the plug-ins that are included in the feature), it will install.
> However, the calculates list of required plug-ins is not very robust;
> there are duplicates and conflicting versions of the same plugins, and
> many that specify no versions at all. I'd like to use features and be
> specific about the versions and match rules.
I can give a few suggestions, but may have to be narrowed down iteratively.
First, there are known bugs that make the log "noisy" ... such as, see
bug 241185
https://bugs.eclipse.org/bugs/show_bug.cgi?id=241185

This has apparently been fixed in pre-3.4.2 M builds ... which, while
not matching your ultimate install target, it might help you find the
real problem if by using it you can get better log messages.

Second, I've recently learned, that with P2, not near as much has to be
specified in features as in the past. While it is still considered a
draft form, you might read
http://wiki.eclipse.org/Version_Numbering_Galileo_Update
and/or its originating bug
https://bugs.eclipse.org/bugs/show_bug.cgi?id=259610

In short, you may not have to specify anything in your features ... and
let the plugins sort it all out.

HTH
Re: Problem installing from an update site with features dependent on other features [message #226611 is a reply to message #226586] Wed, 14 January 2009 15:20 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: eclipse-news.rizzoweb.com

On 1/13/2009 9:00 PM, David Williams wrote:
> Eric Rizzo wrote:
>> Our plugins are build using a target platform that is essentially the
>> Eclipse JEE package 3.4.1 plus some other stuff. Our feature used to
>> work fine when our target was Eclipse 3.3-based, but now p2 is
>> thwarting me.
>> I've got a base Eclipse 3.4.1 (the JEE development package) that I'm
>> trying to install our feature into. I've build the feature using other
>> features in defining the dependencies (as opposed to listing plugins
>> as the dependencies). The problem is that trying to install into the
>> base Eclipse 3.4.1, p2 refuses to resolve those dependencies.
>> If I let PDE "calculate" the dependencies for me (presumably based on
>> the plug-ins that are included in the feature), it will install.
>> However, the calculates list of required plug-ins is not very robust;
>> there are duplicates and conflicting versions of the same plugins, and
>> many that specify no versions at all. I'd like to use features and be
>> specific about the versions and match rules.
> I can give a few suggestions, but may have to be narrowed down iteratively.
> First, there are known bugs that make the log "noisy" ... such as, see
> bug 241185
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=241185

I kind of guessed that was the case, but thanks for confirming that I
can ignore those "Unresolved dependency..." warnings and focus on the
"Can not find a solution..." errors.


> Second, I've recently learned, that with P2, not near as much has to be
> specified in features as in the past. While it is still considered a
> draft form, you might read
> http://wiki.eclipse.org/Version_Numbering_Galileo_Update
> and/or its originating bug
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=259610
>
> In short, you may not have to specify anything in your features ... and
> let the plugins sort it all out.

That's interesting reading. I'm not sure all of our plug-in manifests
correctly declare the true versions, so I'm not ready to dump feature
dependencies just yet. In fact, in some experiments yesterday I tried
removing everything from my feature's Dependencies; that allowed it to
install but at runtime lots of stuff did not work (some plugins did not
load, in fact).

Anyway, thanks for the pointers. I think I found the root cause of my
particular issue (a version issue with org.eclipse.jpt.feature), which
I'll post about shortly.

Eric
[p2] Re: Problem installing from an update site with features dependent on other features [message #226665 is a reply to message #226480] Wed, 14 January 2009 16:37 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: eclipse-news.rizzoweb.com

(I think) I've eliminated the WTP-related problems, but now face
conflicts with the versions of org.eclipse.osgi

Cannot find a solution where both Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.1.R340x_v200 80806,3.4.1.R340x_v20080806]]
and Match[requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.0.v20080605- 1900,3.4.0.v20080605-1900]]
can be satisfied.

(I have several instances of this same message when I try to install)

This seems to be telling me that something is depending on
org.eclipse.osgi version 3.4.1 but something else is insisting on 3.4.0
- is that correct?
My feature declares a dependency on org.eclipse.platform version 3.4.0,
if that matters.

How can I determine what features are in conflict here? The above
information doesn't really help very much.

Thanks,
Eric


On 1/12/2009 3:52 PM, Eric Rizzo wrote:
> Our plugins are build using a target platform that is essentially the
> Eclipse JEE package 3.4.1 plus some other stuff. Our feature used to
> work fine when our target was Eclipse 3.3-based, but now p2 is thwarting
> me.
> I've got a base Eclipse 3.4.1 (the JEE development package) that I'm
> trying to install our feature into. I've build the feature using other
> features in defining the dependencies (as opposed to listing plugins as
> the dependencies). The problem is that trying to install into the base
> Eclipse 3.4.1, p2 refuses to resolve those dependencies.
> If I let PDE "calculate" the dependencies for me (presumably based on
> the plug-ins that are included in the feature), it will install.
> However, the calculates list of required plug-ins is not very robust;
> there are duplicates and conflicting versions of the same plugins, and
> many that specify no versions at all. I'd like to use features and be
> specific about the versions and match rules.
>
> Below is the error details that p2 spits out. I know this is huge and I
> apologize for that, but this output is, quite frankly, useless to me;
> I'm hoping one of the p2 or WTP folks can help me make sense of it to
> determine what might be incorrect in my feature.xml
>
> Thanks,
> Eric
>
> Cannot complete the request. See the details.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 0.v20080512-1800,1.0.0.v20080512-1800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 1.R34x_v20080721,1.0.1.R34x_v20080721]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.0.102.v200810160200-793DxCYQCD4FdGcCMCC,2.0.102.v200810 160200-793DxCYQCD4FdGcCMCC]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.1.0.v200812180210-7979AgCYQCD4IRJdCEDC,2.1.0.v200812180 210-7979AgCYQCD4IRJdCEDC]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.201.v2 0080708_34x,3.2.201.v20080708_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.200.v2 0080507,3.2.200.v20080507]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.0.102.v20081 0220200,2.0.102.v200810220200]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.1.0.v2008120 80000,2.1.0.v200812080000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.202. v200810160200,1.0.202.v200810160200]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.300. v200812110000,1.0.300.v200812110000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqsu ,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqs u]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M,3.4.0 .v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.1.M2008090 3-2000,3.4.1.M20080903-2000]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I2008060 6-1300,3.4.0.I20080606-1300]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.0.101.v200 809020200,2.0.101.v200809020200]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.1.0.v20081 2160210,2.1.0.v200812160210]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.101.M20080910-0800,3.3.101.M20080910-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.100.I20080606-1300,3.3.100.I20080606-1300]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.101. M20080827-0800,3.3.101.M20080827-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100. I20080606-1300,3.3.100.I20080606-1300]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .1.r341_v20080808-0800,3.4.1.r341_v20080808-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .0.v20080612-1340,3.4.0.v20080612-1340]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.1. R34x_v20080902,3.4.1.R34x_v20080902]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0. v20080604-1400,3.4.0.v20080604-1400]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.0.v20080605-1800,3.4.0.v20080605-1800]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.1.M20080730-0800,3.4.1.M20080730-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.0.I20080527-2000,3.4.0.I20080527-2000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20 080827,3.4.1.r34x_20080827]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I200806 04,3.4.0.I20080604]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.1.r341_v20 080813-0800,3.4.1.r341_v20080813-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.0.v2008060 3-2000,3.4.0.v20080603-2000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.101.v200 809111700,3.3.101.v200809111700]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.100.v200 806172000,3.3.100.v200806172000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.1.r341_v20080827-1100,3.4.1.r341_v20080827-1100]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 1.v20080702_34x,3.3.101.v20080702_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 0.v20080508,3.3.100.v20080508]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.1.v20080 811_r341,3.4.1.v20080811_r341]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.0.v20080 529-1300,3.4.0.v20080529-1300]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.1.r34x_ 20080827,3.4.1.r34x_20080827]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.0.I2008 0605,3.4.0.I20080605]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v200 80702_34x,3.2.201.v20080702_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v200 80610,3.2.200.v20080610]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.201.R 34x_v20080714,3.2.201.R34x_v20080714]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.200.v 20080515,3.2.200.v20080515]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4. 0.v3448f]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.1.v3449c,3.4. 1.v3449c]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.0.v3448f,3.4.0.v3448f]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.1.v3449c,3.4.1.v3449c]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.0 .v20080324a-989JERhEk-jWnd5IY8K5tjxB,3.4.0.v20080324a-989JER hEk-jWnd5IY8K5tjxB]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.1 00.r341_v20080814-989JESIEdAciFYfkZZsBfSwQ2341,3.4.100.r341_ v20080814-989JESIEdAciFYfkZZsBfSwQ2341]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.101.M 20080805_34x,3.3.101.M20080805_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.100.v 20080528,3.3.100.v20080528]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20 080827,3.4.1.r34x_20080827]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I200806 04,3.4.0.I20080604]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 1.v20080702_34x,3.3.101.v20080702_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 0.v20080508,3.3.100.v20080508]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v200 80702_34x,3.2.201.v20080702_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v200 80610,3.2.200.v20080610]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 0.v20080512-1800,1.0.0.v20080512-1800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 1.R34x_v20080721,1.0.1.R34x_v20080721]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.1.M2008090 3-2000,3.4.1.M20080903-2000]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I2008060 6-1300,3.4.0.I20080606-1300]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.101. M20080827-0800,3.3.101.M20080827-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100. I20080606-1300,3.3.100.I20080606-1300]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.0.I20080610-12 00,3.4.0.I20080610-1200]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.1.M20080910-08 00,3.4.1.M20080910-0800]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 1.R34x_v20080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat,1.0.1.R34x_v20 080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L,1.0.0.v20080603-7r7 xEHJEJkZu5nE6Q4Qrtvu6JZ9L]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.200.v20080421-2006,3.2.200.v20080421-2006]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.201.R34x_v20080709,3.2.201.R34x_v20080709]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.1. R34x_v20080902,3.4.1.R34x_v20080902]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0. v20080604-1400,3.4.0.v20080604-1400]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.200.v20080417,3.2.200.v20080417]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.201.R34x_v20080819,3.2.201.R34x_v20080819]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.100.v2008061 0,3.3.100.v20080610]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.101.v2008070 2_34x,3.3.101.v20080702_34x]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.101.v200 809111700,3.3.101.v200809111700]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.100.v200 806172000,3.3.100.v200806172000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.1.v20080 811_r341,3.4.1.v20080811_r341]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.0.v20080 529-1300,3.4.0.v20080529-1300]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.100.v20080509-1800,1.0.100.v20080509-1800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.101.R34x_v20080731,1.0.101.R34x_v20080731]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.0.102.v200810160200-793DxCYQCD4FdGcCMCC,2.0.102.v200810 160200-793DxCYQCD4FdGcCMCC]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.1.0.v200812180210-7979AgCYQCD4IRJdCEDC,2.1.0.v200812180 210-7979AgCYQCD4IRJdCEDC]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.0.102.v20081 0220200,2.0.102.v200810220200]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.1.0.v2008120 80000,2.1.0.v200812080000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.101.M20 080728_34x,3.3.101.M20080728_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.100.v20 080617,3.3.100.v20080617]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.202. v200810160200,1.0.202.v200810160200]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.300. v200812110000,1.0.300.v200812110000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.0.101.v200 809020200,2.0.101.v200809020200]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.1.0.v20081 2160210,2.1.0.v200812160210]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.0.v20080605-1800,3.4.0.v20080605-1800]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.1.M20080730-0800,3.4.1.M20080730-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.0.I20080527-2000,3.4.0.I20080527-2000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.1.r341_v20 080813-0800,3.4.1.r341_v20080813-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.0.v2008060 3-2000,3.4.0.v20080603-2000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.1.r341_v20080827-1100,3.4.1.r341_v20080827-1100]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.1.r34x_ 20080827,3.4.1.r34x_20080827]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.0.I2008 0605,3.4.0.I20080605]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.201.R 34x_v20080714,3.2.201.R34x_v20080714]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.200.v 20080515,3.2.200.v20080515]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.0.I2 0080606-1300,3.4.0.I20080606-1300]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.1.M2 0080827-0800a,3.4.1.M20080827-0800a]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.201.v2 0080708_34x,3.2.201.v20080708_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.200.v2 0080507,3.2.200.v20080507]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.101.M2008 0715_34x,3.3.101.M20080715_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.100.v2008 0521,3.3.100.v20080521]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.0.v20080605- 1900,3.4.0.v20080605-1900]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.2.R34x_v2008 0826-1230,3.4.2.R34x_v20080826-1230]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqsu ,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqs u]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M,3.4.0 .v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.101.M20080910-0800,3.3.101.M20080910-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.100.I20080606-1300,3.3.100.I20080606-1300]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .1.r341_v20080808-0800,3.4.1.r341_v20080808-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .0.v20080612-1340,3.4.0.v20080612-1340]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4. 0.v3448f]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.1.v3449c,3.4. 1.v3449c]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/[1.1.200. v200806041500,1.1.200.v200806041500]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/[1.1.203. v200811060900,1.1.203.v200811060900]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.0.v3448f,3.4.0.v3448f]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.1.v3449c,3.4.1.v3449c]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.0 .v20080324a-989JERhEk-jWnd5IY8K5tjxB,3.4.0.v20080324a-989JER hEk-jWnd5IY8K5tjxB]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.1 00.r341_v20080814-989JESIEdAciFYfkZZsBfSwQ2341,3.4.100.r341_ v20080814-989JESIEdAciFYfkZZsBfSwQ2341]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity /[1.1.1.v200809180120,1.1.1.v200809180120]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity /[1.1.0.v200805160228,1.1.0.v200805160228]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/[1.1.0.v2 0080606,1.1.0.v20080606]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/[1.1.102. v20080909,1.1.102.v20080909]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.standard.schemas/[ 1.0.100.v200806021952,1.0.100.v200806021952]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.standard.schemas/[ 1.0.101.v200807220523,1.0.101.v200807220523]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.101.M 20080805_34x,3.3.101.M20080805_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.100.v 20080528,3.3.100.v20080528]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/[2.0.100 .v200806051600,2.0.100.v200806051600]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/[2.0.102 .v200810230530,2.0.102.v200810230530]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20 080827,3.4.1.r34x_20080827]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I200806 04,3.4.0.I20080604]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 1.v20080702_34x,3.3.101.v20080702_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 0.v20080508,3.3.100.v20080508]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/[1.1.200 .v200806052000,1.1.200.v200806052000]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/[1.1.202 .v200811111600,1.1.202.v200811111600]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v200 80702_34x,3.2.201.v20080702_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v200 80610,3.2.200.v20080610]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/ [1.1.200.v200805140020,1.1.200.v200805140020]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/ [1.1.201.v200810161330,1.1.201.v200810161330]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 0.v20080512-1800,1.0.0.v20080512-1800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 1.R34x_v20080721,1.0.1.R34x_v20080721]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.1.M2008090 3-2000,3.4.1.M20080903-2000]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I2008060 6-1300,3.4.0.I20080606-1300]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.101. M20080827-0800,3.3.101.M20080827-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100. I20080606-1300,3.3.100.I20080606-1300]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.0.I20080610-12 00,3.4.0.I20080610-1200]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.1.M20080910-08 00,3.4.1.M20080910-0800]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 1.R34x_v20080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat,1.0.1.R34x_v20 080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L,1.0.0.v20080603-7r7 xEHJEJkZu5nE6Q4Qrtvu6JZ9L]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.200.v20080421-2006,3.2.200.v20080421-2006]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.201.R34x_v20080709,3.2.201.R34x_v20080709]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.1. R34x_v20080902,3.4.1.R34x_v20080902]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0. v20080604-1400,3.4.0.v20080604-1400]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.200.v20080417,3.2.200.v20080417]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.201.R34x_v20080819,3.2.201.R34x_v20080819]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.100.v2008061 0,3.3.100.v20080610]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.101.v2008070 2_34x,3.3.101.v20080702_34x]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.core/[1.2.100. v200806050300,1.2.100.v200806050300]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.core/[1.2.120. v200810301812,1.2.120.v200810301812]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.101.v200 809111700,3.3.101.v200809111700]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.100.v200 806172000,3.3.100.v200806172000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.1.v20080 811_r341,3.4.1.v20080811_r341]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.0.v20080 529-1300,3.4.0.v20080529-1300]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee/[1.0.100.v2008 05140020,1.0.100.v200805140020]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee/[1.0.102.v2008 11060500,1.0.102.v200811060500]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.100.v20080509-1800,1.0.100.v20080509-1800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.101.R34x_v20080731,1.0.101.R34x_v20080731]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.webservice/[1 .1.200.v200805150230,1.1.200.v200805150230]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.webservice/[1 .1.201.v200807240600,1.1.201.v200807240600]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.0.102.v200810160200-793DxCYQCD4FdGcCMCC,2.0.102.v200810 160200-793DxCYQCD4FdGcCMCC]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.1.0.v200812180210-7979AgCYQCD4IRJdCEDC,2.1.0.v200812180 210-7979AgCYQCD4IRJdCEDC]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.ejb/[1.0.100.v 200805151150,1.0.100.v200805151150]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.ejb/[1.0.102.v 200810230722,1.0.102.v200810230722]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.0.102.v20081 0220200,2.0.102.v200810220200]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.1.0.v2008120 80000,2.1.0.v200812080000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.101.M20 080728_34x,3.3.101.M20080728_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.100.v20 080617,3.3.100.v20080617]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.202. v200810160200,1.0.202.v200810160200]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.300. v200812110000,1.0.300.v200812110000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.0.101.v200 809020200,2.0.101.v200809020200]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.1.0.v20081 2160210,2.1.0.v200812160210]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee/[1.1.200.v200 806051600,1.1.200.v200806051600]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee/[1.1.204.v200 811130630,1.1.204.v200811130630]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.0.v20080605-1800,3.4.0.v20080605-1800]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.standard.tagsu pport/[1.1.0.v20080515,1.1.0.v20080515]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.standard.tagsu pport/[1.1.101.v20080828,1.1.101.v20080828]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.1.M20080730-0800,3.4.1.M20080730-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.0.I20080527-2000,3.4.0.I20080527-2000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.1.r341_v20 080813-0800,3.4.1.r341_v20080813-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.0.v2008060 3-2000,3.4.0.v20080603-2000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.1.r341_v20080827-1100,3.4.1.r341_v20080827-1100]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.1.r34x_ 20080827,3.4.1.r34x_20080827]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.0.I2008 0605,3.4.0.I20080605]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.enterprise_core.fe ature.feature.jar/[3.0.0.v200806092130-42E9w_kE77c7S9O_JE7,3 .0.0.v200806092130-42E9w_kE77c7S9O_JE7]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.enterprise_core.fe ature.feature.jar/[3.0.3.v200810010400-42E_4_kE77c_FAP7X99,3 .0.3.v200810010400-42E_4_kE77c_FAP7X99]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.201.R 34x_v20080714,3.2.201.R34x_v20080714]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.200.v 20080515,3.2.200.v20080515]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.web/[1.0.100.v 200805140020,1.0.100.v200805140020]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.web/[1.0.101.v 200810230738,1.0.101.v200810230738]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.web/[1.1.200. v200806051600,1.1.200.v200806051600]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.web/[1.1.202. v200811060500,1.1.202.v200811060500]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.0.I2 0080606-1300,3.4.0.I20080606-1300]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.1.M2 0080827-0800a,3.4.1.M20080827-0800a]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.201.v2 0080708_34x,3.2.201.v20080708_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.200.v2 0080507,3.2.200.v20080507]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.101.M2008 0715_34x,3.3.101.M20080715_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.100.v2008 0521,3.3.100.v20080521]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.0.v20080605- 1900,3.4.0.v20080605-1900]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.2.R34x_v2008 0826-1230,3.4.2.R34x_v20080826-1230]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.common/[1.1.0. v20080605,1.1.0.v20080605]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.common/[1.1.3. v20080915,1.1.3.v20080915]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqsu ,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqs u]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M,3.4.0 .v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.101.M20080910-0800,3.3.101.M20080910-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.100.I20080606-1300,3.3.100.I20080606-1300]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .1.r341_v20080808-0800,3.4.1.r341_v20080808-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .0.v20080612-1340,3.4.0.v20080612-1340]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.ejb/[1.1.200. v200806041500,1.1.200.v200806041500]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.ejb/[1.1.203. v200811060500,1.1.203.v200811060500]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.web_core.feature.f eature.jar/[3.0.0.v200806092130-7M7AERgEFp_acwcEhxa_fS,3.0.0 .v200806092130-7M7AERgEFp_acwcEhxa_fS]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.web_core.feature.f eature.jar/[3.0.3.v200810020322-7M7AEX2EFp_acwkiuz-bTpl,3.0. 3.v200810020322-7M7AEX2EFp_acwkiuz-bTpl]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jem/[2.0.200.v20080605 1600,2.0.200.v200806051600]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jem/[2.0.202.v20081028 2000,2.0.202.v200810282000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4. 0.v3448f]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.1.v3449c,3.4. 1.v3449c]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/[1.1.200. v200806041500,1.1.200.v200806041500]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/[1.1.203. v200811060900,1.1.203.v200811060900]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.0.v3448f,3.4.0.v3448f]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.1.v3449c,3.4.1.v3449c]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.0 .v20080324a-989JERhEk-jWnd5IY8K5tjxB,3.4.0.v20080324a-989JER hEk-jWnd5IY8K5tjxB]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.1 00.r341_v20080814-989JESIEdAciFYfkZZsBfSwQ2341,3.4.100.r341_ v20080814-989JESIEdAciFYfkZZsBfSwQ2341]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity /[1.1.1.v200809180120,1.1.1.v200809180120]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity /[1.1.0.v200805160228,1.1.0.v200805160228]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/[1.1.0.v2 0080606,1.1.0.v20080606]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/[1.1.102. v20080909,1.1.102.v20080909]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.standard.schemas/[ 1.0.100.v200806021952,1.0.100.v200806021952]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.standard.schemas/[ 1.0.101.v200807220523,1.0.101.v200807220523]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.101.M 20080805_34x,3.3.101.M20080805_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.100.v 20080528,3.3.100.v20080528]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/[2.0.100 .v200806051600,2.0.100.v200806051600]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/[2.0.102 .v200810230530,2.0.102.v200810230530]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20 080827,3.4.1.r34x_20080827]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I200806 04,3.4.0.I20080604]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 1.v20080702_34x,3.3.101.v20080702_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 0.v20080508,3.3.100.v20080508]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/[1.1.200 .v200806052000,1.1.200.v200806052000]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/[1.1.202 .v200811111600,1.1.202.v200811111600]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v200 80702_34x,3.2.201.v20080702_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v200 80610,3.2.200.v20080610]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/ [1.1.200.v200805140020,1.1.200.v200805140020]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/ [1.1.201.v200810161330,1.1.201.v200810161330]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 0.v20080512-1800,1.0.0.v20080512-1800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 1.R34x_v20080721,1.0.1.R34x_v20080721]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.1.M2008090 3-2000,3.4.1.M20080903-2000]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I2008060 6-1300,3.4.0.I20080606-1300]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.101. M20080827-0800,3.3.101.M20080827-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100. I20080606-1300,3.3.100.I20080606-1300]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.0.I20080610-12 00,3.4.0.I20080610-1200]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.1.M20080910-08 00,3.4.1.M20080910-0800]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 1.R34x_v20080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat,1.0.1.R34x_v20 080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L,1.0.0.v20080603-7r7 xEHJEJkZu5nE6Q4Qrtvu6JZ9L]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.200.v20080421-2006,3.2.200.v20080421-2006]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.201.R34x_v20080709,3.2.201.R34x_v20080709]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.1. R34x_v20080902,3.4.1.R34x_v20080902]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0. v20080604-1400,3.4.0.v20080604-1400]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.200.v20080417,3.2.200.v20080417]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.201.R34x_v20080819,3.2.201.R34x_v20080819]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.100.v2008061 0,3.3.100.v20080610]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.101.v2008070 2_34x,3.3.101.v20080702_34x]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.core/[1.2.100. v200806050300,1.2.100.v200806050300]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.core/[1.2.120. v200810301812,1.2.120.v200810301812]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.101.v200 809111700,3.3.101.v200809111700]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.100.v200 806172000,3.3.100.v200806172000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.1.v20080 811_r341,3.4.1.v20080811_r341]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.0.v20080 529-1300,3.4.0.v20080529-1300]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee/[1.0.100.v2008 05140020,1.0.100.v200805140020]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee/[1.0.102.v2008 11060500,1.0.102.v200811060500]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.100.v20080509-1800,1.0.100.v20080509-1800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.101.R34x_v20080731,1.0.101.R34x_v20080731]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.webservice/[1 .1.200.v200805150230,1.1.200.v200805150230]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.webservice/[1 .1.201.v200807240600,1.1.201.v200807240600]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.0.102.v200810160200-793DxCYQCD4FdGcCMCC,2.0.102.v200810 160200-793DxCYQCD4FdGcCMCC]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.1.0.v200812180210-7979AgCYQCD4IRJdCEDC,2.1.0.v200812180 210-7979AgCYQCD4IRJdCEDC]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.ejb/[1.0.100.v 200805151150,1.0.100.v200805151150]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.ejb/[1.0.102.v 200810230722,1.0.102.v200810230722]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.0.102.v20081 0220200,2.0.102.v200810220200]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.1.0.v2008120 80000,2.1.0.v200812080000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.101.M20 080728_34x,3.3.101.M20080728_34x]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.100.v20 080617,3.3.100.v20080617]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.202. v200810160200,1.0.202.v200810160200]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.300. v200812110000,1.0.300.v200812110000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.0.101.v200 809020200,2.0.101.v200809020200]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.1.0.v20081 2160210,2.1.0.v200812160210]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee/[1.1.200.v200 806051600,1.1.200.v200806051600]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee/[1.1.204.v200 811130630,1.1.204.v200811130630]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.0.v20080605-1800,3.4.0.v20080605-1800]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.standard.tagsu pport/[1.1.0.v20080515,1.1.0.v20080515]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.standard.tagsu pport/[1.1.101.v20080828,1.1.101.v20080828]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.1.M20080730-0800,3.4.1.M20080730-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.0.I20080527-2000,3.4.0.I20080527-2000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.1.r341_v20 080813-0800,3.4.1.r341_v20080813-0800]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.0.v2008060 3-2000,3.4.0.v20080603-2000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.1.r341_v20080827-1100,3.4.1.r341_v20080827-1100]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.1.r34x_ 20080827,3.4.1.r34x_20080827]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.0.I2008 0605,3.4.0.I20080605]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.enterprise_core.fe ature.feature.jar/[3.0.0.v200806092130-42E9w_kE77c7S9O_JE7,3 .0.0.v200806092130-42E9w_kE77c7S9O_JE7]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.enterprise_core.fe ature.feature.jar/[3.0.3.v200810010400-42E_4_kE77c_FAP7X99,3 .0.3.v200810010400-42E_4_kE77c_FAP7X99]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.201.R 34x_v20080714,3.2.201.R34x_v20080714]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.200.v 20080515,3.2.200.v20080515]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.web/[1.0.100.v 200805140020,1.0.100.v200805140020]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.web/[1.0.101.v 200810230738,1.0.101.v200810230738]]
> can be satisfied.
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.web/[1.1.200. v200806051600,1.1.200.
Re: [p2] Re: Problem installing from an update site with features dependent on other features [message #226900 is a reply to message #226665] Wed, 21 January 2009 04:28 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: david_williams.linux.vnet.ibm.com

Eric Rizzo wrote:
> ...
> This seems to be telling me that something is depending on
> org.eclipse.osgi version 3.4.1 but something else is insisting on
> 3.4.0 - is that correct?
> My feature declares a dependency on org.eclipse.platform version
> 3.4.0, if that matters.
> ...
>
Yes, I think your assessment is correct.
The feature dependency should be ok, as long as it's not qualified as
"exact".

I wonder if some typo somewhere specifies an org.eclipse.osgi dependency
range of [3.4.0,3.4.1) ?
Re: [p2] Re: Problem installing from an update site with features dependent on other features [message #227058 is a reply to message #226665] Wed, 21 January 2009 22:48 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: eclipseng.arthorne.com

Your analysis is correct. This message means "someone wants bundle
org.eclipse.osgi version 3.4.1, and someone else wants bundle
org.eclipse.osgi version 3.4.0, and I can't make them both happy".
Typically these precise version ranges (where lower and upper bound is
the same), come from feature inclusions. It looks like there are two
features in your world that include different versions of OSGi.
--


Eric Rizzo wrote:
> (I think) I've eliminated the WTP-related problems, but now face
> conflicts with the versions of org.eclipse.osgi
>
> Cannot find a solution where both Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.1.R340x_v200 80806,3.4.1.R340x_v20080806]]
> and Match[requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.0.v20080605- 1900,3.4.0.v20080605-1900]]
> can be satisfied.
>
> (I have several instances of this same message when I try to install)
>
> This seems to be telling me that something is depending on
> org.eclipse.osgi version 3.4.1 but something else is insisting on 3.4.0
> - is that correct?
> My feature declares a dependency on org.eclipse.platform version 3.4.0,
> if that matters.
>
> How can I determine what features are in conflict here? The above
> information doesn't really help very much.
>
> Thanks,
> Eric
>
>
> On 1/12/2009 3:52 PM, Eric Rizzo wrote:
>> Our plugins are build using a target platform that is essentially the
>> Eclipse JEE package 3.4.1 plus some other stuff. Our feature used to
>> work fine when our target was Eclipse 3.3-based, but now p2 is thwarting
>> me.
>> I've got a base Eclipse 3.4.1 (the JEE development package) that I'm
>> trying to install our feature into. I've build the feature using other
>> features in defining the dependencies (as opposed to listing plugins as
>> the dependencies). The problem is that trying to install into the base
>> Eclipse 3.4.1, p2 refuses to resolve those dependencies.
>> If I let PDE "calculate" the dependencies for me (presumably based on
>> the plug-ins that are included in the feature), it will install.
>> However, the calculates list of required plug-ins is not very robust;
>> there are duplicates and conflicting versions of the same plugins, and
>> many that specify no versions at all. I'd like to use features and be
>> specific about the versions and match rules.
>>
>> Below is the error details that p2 spits out. I know this is huge and I
>> apologize for that, but this output is, quite frankly, useless to me;
>> I'm hoping one of the p2 or WTP folks can help me make sense of it to
>> determine what might be incorrect in my feature.xml
>>
>> Thanks,
>> Eric
>>
>> Cannot complete the request. See the details.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 0.v20080512-1800,1.0.0.v20080512-1800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 1.R34x_v20080721,1.0.1.R34x_v20080721]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.0.102.v200810160200-793DxCYQCD4FdGcCMCC,2.0.102.v200810 160200-793DxCYQCD4FdGcCMCC]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.1.0.v200812180210-7979AgCYQCD4IRJdCEDC,2.1.0.v200812180 210-7979AgCYQCD4IRJdCEDC]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.201.v2 0080708_34x,3.2.201.v20080708_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.200.v2 0080507,3.2.200.v20080507]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.0.102.v20081 0220200,2.0.102.v200810220200]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.1.0.v2008120 80000,2.1.0.v200812080000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.202. v200810160200,1.0.202.v200810160200]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.300. v200812110000,1.0.300.v200812110000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqsu ,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqs u]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M,3.4.0 .v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.1.M2008090 3-2000,3.4.1.M20080903-2000]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I2008060 6-1300,3.4.0.I20080606-1300]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.0.101.v200 809020200,2.0.101.v200809020200]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.1.0.v20081 2160210,2.1.0.v200812160210]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.101.M20080910-0800,3.3.101.M20080910-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.100.I20080606-1300,3.3.100.I20080606-1300]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.101. M20080827-0800,3.3.101.M20080827-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100. I20080606-1300,3.3.100.I20080606-1300]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .1.r341_v20080808-0800,3.4.1.r341_v20080808-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .0.v20080612-1340,3.4.0.v20080612-1340]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.1. R34x_v20080902,3.4.1.R34x_v20080902]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0. v20080604-1400,3.4.0.v20080604-1400]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.0.v20080605-1800,3.4.0.v20080605-1800]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.1.M20080730-0800,3.4.1.M20080730-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.0.I20080527-2000,3.4.0.I20080527-2000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20 080827,3.4.1.r34x_20080827]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I200806 04,3.4.0.I20080604]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.1.r341_v20 080813-0800,3.4.1.r341_v20080813-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.0.v2008060 3-2000,3.4.0.v20080603-2000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.101.v200 809111700,3.3.101.v200809111700]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.100.v200 806172000,3.3.100.v200806172000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.1.r341_v20080827-1100,3.4.1.r341_v20080827-1100]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 1.v20080702_34x,3.3.101.v20080702_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 0.v20080508,3.3.100.v20080508]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.1.v20080 811_r341,3.4.1.v20080811_r341]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.0.v20080 529-1300,3.4.0.v20080529-1300]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.1.r34x_ 20080827,3.4.1.r34x_20080827]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.0.I2008 0605,3.4.0.I20080605]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v200 80702_34x,3.2.201.v20080702_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v200 80610,3.2.200.v20080610]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.201.R 34x_v20080714,3.2.201.R34x_v20080714]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.200.v 20080515,3.2.200.v20080515]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4. 0.v3448f]]
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.1.v3449c,3.4. 1.v3449c]]
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.0.v3448f,3.4.0.v3448f]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.1.v3449c,3.4.1.v3449c]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.0 .v20080324a-989JERhEk-jWnd5IY8K5tjxB,3.4.0.v20080324a-989JER hEk-jWnd5IY8K5tjxB]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.1 00.r341_v20080814-989JESIEdAciFYfkZZsBfSwQ2341,3.4.100.r341_ v20080814-989JESIEdAciFYfkZZsBfSwQ2341]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.101.M 20080805_34x,3.3.101.M20080805_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.100.v 20080528,3.3.100.v20080528]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20 080827,3.4.1.r34x_20080827]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I200806 04,3.4.0.I20080604]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 1.v20080702_34x,3.3.101.v20080702_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 0.v20080508,3.3.100.v20080508]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v200 80702_34x,3.2.201.v20080702_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v200 80610,3.2.200.v20080610]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 0.v20080512-1800,1.0.0.v20080512-1800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 1.R34x_v20080721,1.0.1.R34x_v20080721]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.1.M2008090 3-2000,3.4.1.M20080903-2000]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I2008060 6-1300,3.4.0.I20080606-1300]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.101. M20080827-0800,3.3.101.M20080827-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100. I20080606-1300,3.3.100.I20080606-1300]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.0.I20080610-12 00,3.4.0.I20080610-1200]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.1.M20080910-08 00,3.4.1.M20080910-0800]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 1.R34x_v20080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat,1.0.1.R34x_v20 080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L,1.0.0.v20080603-7r7 xEHJEJkZu5nE6Q4Qrtvu6JZ9L]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.200.v20080421-2006,3.2.200.v20080421-2006]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.201.R34x_v20080709,3.2.201.R34x_v20080709]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.1. R34x_v20080902,3.4.1.R34x_v20080902]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0. v20080604-1400,3.4.0.v20080604-1400]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.200.v20080417,3.2.200.v20080417]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.201.R34x_v20080819,3.2.201.R34x_v20080819]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.100.v2008061 0,3.3.100.v20080610]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.101.v2008070 2_34x,3.3.101.v20080702_34x]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.101.v200 809111700,3.3.101.v200809111700]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.100.v200 806172000,3.3.100.v200806172000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.1.v20080 811_r341,3.4.1.v20080811_r341]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.0.v20080 529-1300,3.4.0.v20080529-1300]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.100.v20080509-1800,1.0.100.v20080509-1800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.101.R34x_v20080731,1.0.101.R34x_v20080731]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.0.102.v200810160200-793DxCYQCD4FdGcCMCC,2.0.102.v200810 160200-793DxCYQCD4FdGcCMCC]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.1.0.v200812180210-7979AgCYQCD4IRJdCEDC,2.1.0.v200812180 210-7979AgCYQCD4IRJdCEDC]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.0.102.v20081 0220200,2.0.102.v200810220200]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.1.0.v2008120 80000,2.1.0.v200812080000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.101.M20 080728_34x,3.3.101.M20080728_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.100.v20 080617,3.3.100.v20080617]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.202. v200810160200,1.0.202.v200810160200]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.300. v200812110000,1.0.300.v200812110000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.0.101.v200 809020200,2.0.101.v200809020200]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.1.0.v20081 2160210,2.1.0.v200812160210]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.0.v20080605-1800,3.4.0.v20080605-1800]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.1.M20080730-0800,3.4.1.M20080730-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.0.I20080527-2000,3.4.0.I20080527-2000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.1.r341_v20 080813-0800,3.4.1.r341_v20080813-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.0.v2008060 3-2000,3.4.0.v20080603-2000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.1.r341_v20080827-1100,3.4.1.r341_v20080827-1100]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.1.r34x_ 20080827,3.4.1.r34x_20080827]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.0.I2008 0605,3.4.0.I20080605]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.201.R 34x_v20080714,3.2.201.R34x_v20080714]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.200.v 20080515,3.2.200.v20080515]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.0.I2 0080606-1300,3.4.0.I20080606-1300]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.1.M2 0080827-0800a,3.4.1.M20080827-0800a]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.201.v2 0080708_34x,3.2.201.v20080708_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.200.v2 0080507,3.2.200.v20080507]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.101.M2008 0715_34x,3.3.101.M20080715_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.100.v2008 0521,3.3.100.v20080521]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.0.v20080605- 1900,3.4.0.v20080605-1900]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.2.R34x_v2008 0826-1230,3.4.2.R34x_v20080826-1230]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqsu ,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqs u]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M,3.4.0 .v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.101.M20080910-0800,3.3.101.M20080910-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.100.I20080606-1300,3.3.100.I20080606-1300]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .1.r341_v20080808-0800,3.4.1.r341_v20080808-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .0.v20080612-1340,3.4.0.v20080612-1340]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4. 0.v3448f]]
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.1.v3449c,3.4. 1.v3449c]]
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/[1.1.200. v200806041500,1.1.200.v200806041500]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/[1.1.203. v200811060900,1.1.203.v200811060900]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.0.v3448f,3.4.0.v3448f]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.1.v3449c,3.4.1.v3449c]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.0 .v20080324a-989JERhEk-jWnd5IY8K5tjxB,3.4.0.v20080324a-989JER hEk-jWnd5IY8K5tjxB]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.1 00.r341_v20080814-989JESIEdAciFYfkZZsBfSwQ2341,3.4.100.r341_ v20080814-989JESIEdAciFYfkZZsBfSwQ2341]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity /[1.1.1.v200809180120,1.1.1.v200809180120]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity /[1.1.0.v200805160228,1.1.0.v200805160228]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/[1.1.0.v2 0080606,1.1.0.v20080606]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/[1.1.102. v20080909,1.1.102.v20080909]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.standard.schemas/[ 1.0.100.v200806021952,1.0.100.v200806021952]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.standard.schemas/[ 1.0.101.v200807220523,1.0.101.v200807220523]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.101.M 20080805_34x,3.3.101.M20080805_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.100.v 20080528,3.3.100.v20080528]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/[2.0.100 .v200806051600,2.0.100.v200806051600]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/[2.0.102 .v200810230530,2.0.102.v200810230530]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20 080827,3.4.1.r34x_20080827]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I200806 04,3.4.0.I20080604]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 1.v20080702_34x,3.3.101.v20080702_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 0.v20080508,3.3.100.v20080508]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/[1.1.200 .v200806052000,1.1.200.v200806052000]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/[1.1.202 .v200811111600,1.1.202.v200811111600]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v200 80702_34x,3.2.201.v20080702_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v200 80610,3.2.200.v20080610]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/ [1.1.200.v200805140020,1.1.200.v200805140020]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/ [1.1.201.v200810161330,1.1.201.v200810161330]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 0.v20080512-1800,1.0.0.v20080512-1800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 1.R34x_v20080721,1.0.1.R34x_v20080721]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.1.M2008090 3-2000,3.4.1.M20080903-2000]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I2008060 6-1300,3.4.0.I20080606-1300]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.101. M20080827-0800,3.3.101.M20080827-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100. I20080606-1300,3.3.100.I20080606-1300]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.0.I20080610-12 00,3.4.0.I20080610-1200]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.1.M20080910-08 00,3.4.1.M20080910-0800]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 1.R34x_v20080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat,1.0.1.R34x_v20 080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L,1.0.0.v20080603-7r7 xEHJEJkZu5nE6Q4Qrtvu6JZ9L]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.200.v20080421-2006,3.2.200.v20080421-2006]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.201.R34x_v20080709,3.2.201.R34x_v20080709]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.1. R34x_v20080902,3.4.1.R34x_v20080902]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0. v20080604-1400,3.4.0.v20080604-1400]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.200.v20080417,3.2.200.v20080417]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.201.R34x_v20080819,3.2.201.R34x_v20080819]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.100.v2008061 0,3.3.100.v20080610]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.101.v2008070 2_34x,3.3.101.v20080702_34x]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.core/[1.2.100. v200806050300,1.2.100.v200806050300]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.core/[1.2.120. v200810301812,1.2.120.v200810301812]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.101.v200 809111700,3.3.101.v200809111700]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.100.v200 806172000,3.3.100.v200806172000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.1.v20080 811_r341,3.4.1.v20080811_r341]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.0.v20080 529-1300,3.4.0.v20080529-1300]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee/[1.0.100.v2008 05140020,1.0.100.v200805140020]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee/[1.0.102.v2008 11060500,1.0.102.v200811060500]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.100.v20080509-1800,1.0.100.v20080509-1800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.101.R34x_v20080731,1.0.101.R34x_v20080731]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.webservice/[1 .1.200.v200805150230,1.1.200.v200805150230]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.webservice/[1 .1.201.v200807240600,1.1.201.v200807240600]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.0.102.v200810160200-793DxCYQCD4FdGcCMCC,2.0.102.v200810 160200-793DxCYQCD4FdGcCMCC]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.1.0.v200812180210-7979AgCYQCD4IRJdCEDC,2.1.0.v200812180 210-7979AgCYQCD4IRJdCEDC]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.ejb/[1.0.100.v 200805151150,1.0.100.v200805151150]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.ejb/[1.0.102.v 200810230722,1.0.102.v200810230722]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.0.102.v20081 0220200,2.0.102.v200810220200]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.1.0.v2008120 80000,2.1.0.v200812080000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.101.M20 080728_34x,3.3.101.M20080728_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.100.v20 080617,3.3.100.v20080617]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.202. v200810160200,1.0.202.v200810160200]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.300. v200812110000,1.0.300.v200812110000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.0.101.v200 809020200,2.0.101.v200809020200]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.1.0.v20081 2160210,2.1.0.v200812160210]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee/[1.1.200.v200 806051600,1.1.200.v200806051600]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee/[1.1.204.v200 811130630,1.1.204.v200811130630]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.0.v20080605-1800,3.4.0.v20080605-1800]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.standard.tagsu pport/[1.1.0.v20080515,1.1.0.v20080515]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.standard.tagsu pport/[1.1.101.v20080828,1.1.101.v20080828]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.1.M20080730-0800,3.4.1.M20080730-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.0.I20080527-2000,3.4.0.I20080527-2000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.1.r341_v20 080813-0800,3.4.1.r341_v20080813-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.0.v2008060 3-2000,3.4.0.v20080603-2000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.1.r341_v20080827-1100,3.4.1.r341_v20080827-1100]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.1.r34x_ 20080827,3.4.1.r34x_20080827]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.0.I2008 0605,3.4.0.I20080605]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.enterprise_core.fe ature.feature.jar/[3.0.0.v200806092130-42E9w_kE77c7S9O_JE7,3 .0.0.v200806092130-42E9w_kE77c7S9O_JE7]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.enterprise_core.fe ature.feature.jar/[3.0.3.v200810010400-42E_4_kE77c_FAP7X99,3 .0.3.v200810010400-42E_4_kE77c_FAP7X99]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.201.R 34x_v20080714,3.2.201.R34x_v20080714]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.200.v 20080515,3.2.200.v20080515]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.web/[1.0.100.v 200805140020,1.0.100.v200805140020]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.web/[1.0.101.v 200810230738,1.0.101.v200810230738]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.web/[1.1.200. v200806051600,1.1.200.v200806051600]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.web/[1.1.202. v200811060500,1.1.202.v200811060500]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.0.I2 0080606-1300,3.4.0.I20080606-1300]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.1.M2 0080827-0800a,3.4.1.M20080827-0800a]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.201.v2 0080708_34x,3.2.201.v20080708_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.200.v2 0080507,3.2.200.v20080507]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.101.M2008 0715_34x,3.3.101.M20080715_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.100.v2008 0521,3.3.100.v20080521]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.0.v20080605- 1900,3.4.0.v20080605-1900]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.2.R34x_v2008 0826-1230,3.4.2.R34x_v20080826-1230]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.common/[1.1.0. v20080605,1.1.0.v20080605]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.common/[1.1.3. v20080915,1.1.3.v20080915]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqsu ,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqs u]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M,3.4.0 .v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.101.M20080910-0800,3.3.101.M20080910-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.100.I20080606-1300,3.3.100.I20080606-1300]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .1.r341_v20080808-0800,3.4.1.r341_v20080808-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .0.v20080612-1340,3.4.0.v20080612-1340]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.ejb/[1.1.200. v200806041500,1.1.200.v200806041500]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.ejb/[1.1.203. v200811060500,1.1.203.v200811060500]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.web_core.feature.f eature.jar/[3.0.0.v200806092130-7M7AERgEFp_acwcEhxa_fS,3.0.0 .v200806092130-7M7AERgEFp_acwcEhxa_fS]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.web_core.feature.f eature.jar/[3.0.3.v200810020322-7M7AEX2EFp_acwkiuz-bTpl,3.0. 3.v200810020322-7M7AEX2EFp_acwkiuz-bTpl]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jem/[2.0.200.v20080605 1600,2.0.200.v200806051600]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jem/[2.0.202.v20081028 2000,2.0.202.v200810282000]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4. 0.v3448f]]
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.1.v3449c,3.4. 1.v3449c]]
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/[1.1.200. v200806041500,1.1.200.v200806041500]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/[1.1.203. v200811060900,1.1.203.v200811060900]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.0.v3448f,3.4.0.v3448f]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.1.v3449c,3.4.1.v3449c]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.0 .v20080324a-989JERhEk-jWnd5IY8K5tjxB,3.4.0.v20080324a-989JER hEk-jWnd5IY8K5tjxB]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.1 00.r341_v20080814-989JESIEdAciFYfkZZsBfSwQ2341,3.4.100.r341_ v20080814-989JESIEdAciFYfkZZsBfSwQ2341]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity /[1.1.1.v200809180120,1.1.1.v200809180120]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity /[1.1.0.v200805160228,1.1.0.v200805160228]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/[1.1.0.v2 0080606,1.1.0.v20080606]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/[1.1.102. v20080909,1.1.102.v20080909]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.standard.schemas/[ 1.0.100.v200806021952,1.0.100.v200806021952]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.standard.schemas/[ 1.0.101.v200807220523,1.0.101.v200807220523]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.101.M 20080805_34x,3.3.101.M20080805_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.100.v 20080528,3.3.100.v20080528]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/[2.0.100 .v200806051600,2.0.100.v200806051600]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/[2.0.102 .v200810230530,2.0.102.v200810230530]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20 080827,3.4.1.r34x_20080827]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I200806 04,3.4.0.I20080604]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 1.v20080702_34x,3.3.101.v20080702_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 0.v20080508,3.3.100.v20080508]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/[1.1.200 .v200806052000,1.1.200.v200806052000]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/[1.1.202 .v200811111600,1.1.202.v200811111600]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v200 80702_34x,3.2.201.v20080702_34x]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v200 80610,3.2.200.v20080610]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/ [1.1.200.v200805140020,1.1.200.v200805140020]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/ [1.1.201.v200810161330,1.1.201.v200810161330]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 0.v20080512-1800,1.0.0.v20080512-1800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 1.R34x_v20080721,1.0.1.R34x_v20080721]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.1.M2008090 3-2000,3.4.1.M20080903-2000]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I2008060 6-1300,3.4.0.I20080606-1300]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.101. M20080827-0800,3.3.101.M20080827-0800]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100. I20080606-1300,3.3.100.I20080606-1300]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.0.I20080610-12 00,3.4.0.I20080610-1200]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.1.M20080910-08 00,3.4.1.M20080910-0800]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 1.R34x_v20080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat,1.0.1.R34x_v20 080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L,1.0.0.v20080603-7r7 xEHJEJkZu5nE6Q4Qrtvu6JZ9L]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.200.v20080421-2006,3.2.200.v20080421-2006]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.201.R34x_v20080709,3.2.201.R34x_v20080709]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.1. R34x_v20080902,3.4.1.R34x_v20080902]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0. v20080604-1400,3.4.0.v20080604-1400]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.200.v20080417,3.2.200.v20080417]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.201.R34x_v20080819,3.2.201.R34x_v20080819]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.100.v2008061 0,3.3.100.v20080610]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.101.v2008070 2_34x,3.3.101.v20080702_34x]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.core/[1.2.100. v200806050300,1.2.100.v200806050300]]
>>
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.core/[1.2.120. v200810301812,1.2.120.v200810301812]]
>>
>> can be satisfied.
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse
Re: [p2] Re: Problem installing from an update site with features dependent on other features [message #227097 is a reply to message #227058] Wed, 21 January 2009 23:55 Go to previous message
Eclipse UserFriend
Originally posted by: eclipse-news.rizzoweb.com

On 1/21/2009 5:48 PM, John Arthorne wrote:
> Your analysis is correct. This message means "someone wants bundle
> org.eclipse.osgi version 3.4.1, and someone else wants bundle
> org.eclipse.osgi version 3.4.0, and I can't make them both happy".
> Typically these precise version ranges (where lower and upper bound is
> the same), come from feature inclusions. It looks like there are two
> features in your world that include different versions of OSGi.

The problem actually turned out to be the fact that the Ganymede update
site was not enabled (Rational disables that site by default for some
reason that I'd love to hear). Even though my update site
associateSites.xml referred to the Ganymede site, p2 (as of 3.4.x) does
not respect it if it is already in the user's list but "disabled" (by
"disabled" I mean not checked in the Managed Sites... dialog). See
https://bugs.eclipse.org/bugs/show_bug.cgi?id=236077





> Eric Rizzo wrote:
>> (I think) I've eliminated the WTP-related problems, but now face
>> conflicts with the versions of org.eclipse.osgi
>>
>> Cannot find a solution where both Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.1.R340x_v200 80806,3.4.1.R340x_v20080806]]
>> and Match[requiredCapability:
>> org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.0.v20080605- 1900,3.4.0.v20080605-1900]]
>> can be satisfied.
>>
>> (I have several instances of this same message when I try to install)
>>
>> This seems to be telling me that something is depending on
>> org.eclipse.osgi version 3.4.1 but something else is insisting on
>> 3.4.0 - is that correct?
>> My feature declares a dependency on org.eclipse.platform version
>> 3.4.0, if that matters.
>>
>> How can I determine what features are in conflict here? The above
>> information doesn't really help very much.
>>
>> Thanks,
>> Eric
>>
>>
>> On 1/12/2009 3:52 PM, Eric Rizzo wrote:
>>> Our plugins are build using a target platform that is essentially the
>>> Eclipse JEE package 3.4.1 plus some other stuff. Our feature used to
>>> work fine when our target was Eclipse 3.3-based, but now p2 is thwarting
>>> me.
>>> I've got a base Eclipse 3.4.1 (the JEE development package) that I'm
>>> trying to install our feature into. I've build the feature using other
>>> features in defining the dependencies (as opposed to listing plugins as
>>> the dependencies). The problem is that trying to install into the base
>>> Eclipse 3.4.1, p2 refuses to resolve those dependencies.
>>> If I let PDE "calculate" the dependencies for me (presumably based on
>>> the plug-ins that are included in the feature), it will install.
>>> However, the calculates list of required plug-ins is not very robust;
>>> there are duplicates and conflicting versions of the same plugins, and
>>> many that specify no versions at all. I'd like to use features and be
>>> specific about the versions and match rules.
>>>
>>> Below is the error details that p2 spits out. I know this is huge and I
>>> apologize for that, but this output is, quite frankly, useless to me;
>>> I'm hoping one of the p2 or WTP folks can help me make sense of it to
>>> determine what might be incorrect in my feature.xml
>>>
>>> Thanks,
>>> Eric
>>>
>>> Cannot complete the request. See the details.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 0.v20080512-1800,1.0.0.v20080512-1800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 1.R34x_v20080721,1.0.1.R34x_v20080721]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.0.102.v200810160200-793DxCYQCD4FdGcCMCC,2.0.102.v200810 160200-793DxCYQCD4FdGcCMCC]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.1.0.v200812180210-7979AgCYQCD4IRJdCEDC,2.1.0.v200812180 210-7979AgCYQCD4IRJdCEDC]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.201.v2 0080708_34x,3.2.201.v20080708_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.200.v2 0080507,3.2.200.v20080507]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.0.102.v20081 0220200,2.0.102.v200810220200]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.1.0.v2008120 80000,2.1.0.v200812080000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.202. v200810160200,1.0.202.v200810160200]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.300. v200812110000,1.0.300.v200812110000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqsu ,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqs u]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M,3.4.0 .v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.1.M2008090 3-2000,3.4.1.M20080903-2000]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I2008060 6-1300,3.4.0.I20080606-1300]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.0.101.v200 809020200,2.0.101.v200809020200]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.1.0.v20081 2160210,2.1.0.v200812160210]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.101.M20080910-0800,3.3.101.M20080910-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.100.I20080606-1300,3.3.100.I20080606-1300]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.101. M20080827-0800,3.3.101.M20080827-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100. I20080606-1300,3.3.100.I20080606-1300]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .1.r341_v20080808-0800,3.4.1.r341_v20080808-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .0.v20080612-1340,3.4.0.v20080612-1340]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.1. R34x_v20080902,3.4.1.R34x_v20080902]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0. v20080604-1400,3.4.0.v20080604-1400]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.0.v20080605-1800,3.4.0.v20080605-1800]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.1.M20080730-0800,3.4.1.M20080730-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.0.I20080527-2000,3.4.0.I20080527-2000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20 080827,3.4.1.r34x_20080827]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I200806 04,3.4.0.I20080604]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.1.r341_v20 080813-0800,3.4.1.r341_v20080813-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.0.v2008060 3-2000,3.4.0.v20080603-2000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.101.v200 809111700,3.3.101.v200809111700]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.100.v200 806172000,3.3.100.v200806172000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.1.r341_v20080827-1100,3.4.1.r341_v20080827-1100]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 1.v20080702_34x,3.3.101.v20080702_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 0.v20080508,3.3.100.v20080508]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.1.v20080 811_r341,3.4.1.v20080811_r341]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.0.v20080 529-1300,3.4.0.v20080529-1300]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.1.r34x_ 20080827,3.4.1.r34x_20080827]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.0.I2008 0605,3.4.0.I20080605]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v200 80702_34x,3.2.201.v20080702_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v200 80610,3.2.200.v20080610]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.201.R 34x_v20080714,3.2.201.R34x_v20080714]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.200.v 20080515,3.2.200.v20080515]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4. 0.v3448f]]
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.1.v3449c,3.4. 1.v3449c]]
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.0.v3448f,3.4.0.v3448f]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.1.v3449c,3.4.1.v3449c]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.0 .v20080324a-989JERhEk-jWnd5IY8K5tjxB,3.4.0.v20080324a-989JER hEk-jWnd5IY8K5tjxB]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.1 00.r341_v20080814-989JESIEdAciFYfkZZsBfSwQ2341,3.4.100.r341_ v20080814-989JESIEdAciFYfkZZsBfSwQ2341]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.101.M 20080805_34x,3.3.101.M20080805_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.100.v 20080528,3.3.100.v20080528]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20 080827,3.4.1.r34x_20080827]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I200806 04,3.4.0.I20080604]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 1.v20080702_34x,3.3.101.v20080702_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 0.v20080508,3.3.100.v20080508]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v200 80702_34x,3.2.201.v20080702_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v200 80610,3.2.200.v20080610]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 0.v20080512-1800,1.0.0.v20080512-1800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 1.R34x_v20080721,1.0.1.R34x_v20080721]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.1.M2008090 3-2000,3.4.1.M20080903-2000]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I2008060 6-1300,3.4.0.I20080606-1300]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.101. M20080827-0800,3.3.101.M20080827-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100. I20080606-1300,3.3.100.I20080606-1300]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.0.I20080610-12 00,3.4.0.I20080610-1200]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.1.M20080910-08 00,3.4.1.M20080910-0800]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 1.R34x_v20080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat,1.0.1.R34x_v20 080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L,1.0.0.v20080603-7r7 xEHJEJkZu5nE6Q4Qrtvu6JZ9L]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.200.v20080421-2006,3.2.200.v20080421-2006]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.201.R34x_v20080709,3.2.201.R34x_v20080709]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.1. R34x_v20080902,3.4.1.R34x_v20080902]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0. v20080604-1400,3.4.0.v20080604-1400]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.200.v20080417,3.2.200.v20080417]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.201.R34x_v20080819,3.2.201.R34x_v20080819]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.100.v2008061 0,3.3.100.v20080610]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.101.v2008070 2_34x,3.3.101.v20080702_34x]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.101.v200 809111700,3.3.101.v200809111700]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.100.v200 806172000,3.3.100.v200806172000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.1.v20080 811_r341,3.4.1.v20080811_r341]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.0.v20080 529-1300,3.4.0.v20080529-1300]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.100.v20080509-1800,1.0.100.v20080509-1800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.101.R34x_v20080731,1.0.101.R34x_v20080731]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.0.102.v200810160200-793DxCYQCD4FdGcCMCC,2.0.102.v200810 160200-793DxCYQCD4FdGcCMCC]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.1.0.v200812180210-7979AgCYQCD4IRJdCEDC,2.1.0.v200812180 210-7979AgCYQCD4IRJdCEDC]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.0.102.v20081 0220200,2.0.102.v200810220200]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.1.0.v2008120 80000,2.1.0.v200812080000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.101.M20 080728_34x,3.3.101.M20080728_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.100.v20 080617,3.3.100.v20080617]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.202. v200810160200,1.0.202.v200810160200]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.300. v200812110000,1.0.300.v200812110000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.0.101.v200 809020200,2.0.101.v200809020200]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.1.0.v20081 2160210,2.1.0.v200812160210]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.0.v20080605-1800,3.4.0.v20080605-1800]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.1.M20080730-0800,3.4.1.M20080730-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.0.I20080527-2000,3.4.0.I20080527-2000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.1.r341_v20 080813-0800,3.4.1.r341_v20080813-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.0.v2008060 3-2000,3.4.0.v20080603-2000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.1.r341_v20080827-1100,3.4.1.r341_v20080827-1100]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.1.r34x_ 20080827,3.4.1.r34x_20080827]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.0.I2008 0605,3.4.0.I20080605]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.201.R 34x_v20080714,3.2.201.R34x_v20080714]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.200.v 20080515,3.2.200.v20080515]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.0.I2 0080606-1300,3.4.0.I20080606-1300]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.1.M2 0080827-0800a,3.4.1.M20080827-0800a]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.201.v2 0080708_34x,3.2.201.v20080708_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.200.v2 0080507,3.2.200.v20080507]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.101.M2008 0715_34x,3.3.101.M20080715_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.100.v2008 0521,3.3.100.v20080521]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.0.v20080605- 1900,3.4.0.v20080605-1900]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.2.R34x_v2008 0826-1230,3.4.2.R34x_v20080826-1230]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqsu ,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqs u]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M,3.4.0 .v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.101.M20080910-0800,3.3.101.M20080910-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.100.I20080606-1300,3.3.100.I20080606-1300]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .1.r341_v20080808-0800,3.4.1.r341_v20080808-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .0.v20080612-1340,3.4.0.v20080612-1340]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4. 0.v3448f]]
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.1.v3449c,3.4. 1.v3449c]]
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/[1.1.200. v200806041500,1.1.200.v200806041500]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/[1.1.203. v200811060900,1.1.203.v200811060900]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.0.v3448f,3.4.0.v3448f]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.1.v3449c,3.4.1.v3449c]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.0 .v20080324a-989JERhEk-jWnd5IY8K5tjxB,3.4.0.v20080324a-989JER hEk-jWnd5IY8K5tjxB]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.1 00.r341_v20080814-989JESIEdAciFYfkZZsBfSwQ2341,3.4.100.r341_ v20080814-989JESIEdAciFYfkZZsBfSwQ2341]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity /[1.1.1.v200809180120,1.1.1.v200809180120]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity /[1.1.0.v200805160228,1.1.0.v200805160228]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/[1.1.0.v2 0080606,1.1.0.v20080606]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/[1.1.102. v20080909,1.1.102.v20080909]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.standard.schemas/[ 1.0.100.v200806021952,1.0.100.v200806021952]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.standard.schemas/[ 1.0.101.v200807220523,1.0.101.v200807220523]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.101.M 20080805_34x,3.3.101.M20080805_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.100.v 20080528,3.3.100.v20080528]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/[2.0.100 .v200806051600,2.0.100.v200806051600]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/[2.0.102 .v200810230530,2.0.102.v200810230530]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20 080827,3.4.1.r34x_20080827]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I200806 04,3.4.0.I20080604]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 1.v20080702_34x,3.3.101.v20080702_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 0.v20080508,3.3.100.v20080508]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/[1.1.200 .v200806052000,1.1.200.v200806052000]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/[1.1.202 .v200811111600,1.1.202.v200811111600]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v200 80702_34x,3.2.201.v20080702_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v200 80610,3.2.200.v20080610]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/ [1.1.200.v200805140020,1.1.200.v200805140020]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/ [1.1.201.v200810161330,1.1.201.v200810161330]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 0.v20080512-1800,1.0.0.v20080512-1800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.security/[1.0. 1.R34x_v20080721,1.0.1.R34x_v20080721]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.1.M2008090 3-2000,3.4.1.M20080903-2000]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.ide/[3.4.0.I2008060 6-1300,3.4.0.I20080606-1300]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.101. M20080827-0800,3.3.101.M20080827-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator/[3.3.100. I20080606-1300,3.3.100.I20080606-1300]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.0.I20080610-12 00,3.4.0.I20080610-1200]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui/[3.4.1.M20080910-08 00,3.4.1.M20080910-0800]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 1.R34x_v20080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat,1.0.1.R34x_v20 080827-7r7xEIxEI6Zu5nEqN7M3UBpglaat]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.feature.jar/[1.0. 0.v20080603-7r7xEHJEJkZu5nE6Q4Qrtvu6JZ9L,1.0.0.v20080603-7r7 xEHJEJkZu5nE6Q4Qrtvu6JZ9L]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.200.v20080421-2006,3.2.200.v20080421-2006]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3 .2.201.R34x_v20080709,3.2.201.R34x_v20080709]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.1. R34x_v20080902,3.4.1.R34x_v20080902]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.core.resources/[3.4.0. v20080604-1400,3.4.0.v20080604-1400]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.200.v20080417,3.2.200.v20080417]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.update.configurator/[3 .2.201.R34x_v20080819,3.2.201.R34x_v20080819]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.100.v2008061 0,3.3.100.v20080610]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help/[3.3.101.v2008070 2_34x,3.3.101.v20080702_34x]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.core/[1.2.100. v200806050300,1.2.100.v200806050300]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsp.core/[1.2.120. v200810301812,1.2.120.v200810301812]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.101.v200 809111700,3.3.101.v200809111700]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform/[3.3.100.v200 806172000,3.3.100.v200806172000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.1.v20080 811_r341,3.4.1.v20080811_r341]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.debug.ui/[3.4.0.v20080 529-1300,3.4.0.v20080529-1300]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee/[1.0.100.v2008 05140020,1.0.100.v200805140020]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee/[1.0.102.v2008 11060500,1.0.102.v200811060500]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.100.v20080509-1800,1.0.100.v20080509-1800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.equinox.launcher.win32 .win32.x86/[1.0.101.R34x_v20080731,1.0.101.R34x_v20080731]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.webservice/[1 .1.200.v200805150230,1.1.200.v200805150230]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.webservice/[1 .1.201.v200807240600,1.1.201.v200807240600]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.core.refactoring/[ 3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.0.102.v200810160200-793DxCYQCD4FdGcCMCC,2.0.102.v200810 160200-793DxCYQCD4FdGcCMCC]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.feature.feature.ja r/[2.1.0.v200812180210-7979AgCYQCD4IRJdCEDC,2.1.0.v200812180 210-7979AgCYQCD4IRJdCEDC]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.ejb/[1.0.100.v 200805151150,1.0.100.v200805151150]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.ejb/[1.0.102.v 200810230722,1.0.102.v200810230722]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.0.102.v20081 0220200,2.0.102.v200810220200]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.ui/[2.1.0.v2008120 80000,2.1.0.v200812080000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.101.M20 080728_34x,3.3.101.M20080728_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.base/[3.3.100.v20 080617,3.3.100.v20080617]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.202. v200810160200,1.0.202.v200810160200]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.doc.user/[1.0.300. v200812110000,1.0.300.v200812110000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.0.101.v200 809020200,2.0.101.v200809020200]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jpt.core/[2.1.0.v20081 2160210,2.1.0.v200812160210]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee/[1.1.200.v200 806051600,1.1.200.v200806051600]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee/[1.1.204.v200 811130630,1.1.204.v200811130630]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.1.r341_v20080716-0800,3.4.1.r341_v20080716-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ltk.ui.refactoring/[3. 4.0.v20080605-1800,3.4.0.v20080605-1800]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.standard.tagsu pport/[1.1.0.v20080515,1.1.0.v20080515]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.standard.tagsu pport/[1.1.101.v20080828,1.1.101.v20080828]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.1.M20080730-0800,3.4.1.M20080730-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.views.properties.ta bbed/[3.4.0.I20080527-2000,3.4.0.I20080527-2000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.1.r341_v20 080813-0800,3.4.1.r341_v20080813-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.search/[3.4.0.v2008060 3-2000,3.4.0.v20080603-2000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.1.r341_v20080827-1100,3.4.1.r341_v20080827-1100]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench.textedito r/[3.4.0.v20080603-2000,3.4.0.v20080603-2000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.1.r34x_ 20080827,3.4.1.r34x_20080827]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.team.core/[3.4.0.I2008 0605,3.4.0.I20080605]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.enterprise_core.fe ature.feature.jar/[3.0.0.v200806092130-42E9w_kE77c7S9O_JE7,3 .0.0.v200806092130-42E9w_kE77c7S9O_JE7]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.enterprise_core.fe ature.feature.jar/[3.0.3.v200810010400-42E_4_kE77c_FAP7X99,3 .0.3.v200810010400-42E_4_kE77c_FAP7X99]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.201.R 34x_v20080714,3.2.201.R34x_v20080714]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.update.core/[3.2.200.v 20080515,3.2.200.v20080515]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.web/[1.0.100.v 200805140020,1.0.100.v200805140020]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jee.web/[1.0.101.v 200810230738,1.0.101.v200810230738]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.web/[1.1.200. v200806051600,1.1.200.v200806051600]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.web/[1.1.202. v200811060500,1.1.202.v200811060500]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.0.I2 0080606-1300,3.4.0.I20080606-1300]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.workbench/[3.4.1.M2 0080827-0800a,3.4.1.M20080827-0800a]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.201.v2 0080708_34x,3.2.201.v20080708_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.browser/[3.2.200.v2 0080507,3.2.200.v20080507]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.101.M2008 0715_34x,3.3.101.M20080715_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.ui/[3.3.100.v2008 0521,3.3.100.v20080521]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.0.v20080605- 1900,3.4.0.v20080605-1900]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.osgi/[3.4.2.R34x_v2008 0826-1230,3.4.2.R34x_v20080826-1230]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.common/[1.1.0. v20080605,1.1.0.v20080605]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.common/[1.1.3. v20080915,1.1.3.v20080915]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqsu ,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotqs u]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.jar/[ 3.4.0.v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M,3.4.0 .v20080610-9I96EhtEm-T_5LxIsybz-3MdGZmOA3uwv7Ka_M]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.101.M20080910-0800,3.3.101.M20080910-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.navigator.resources /[3.3.100.I20080606-1300,3.3.100.I20080606-1300]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .1.r341_v20080808-0800,3.4.1.r341_v20080808-0800]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.platform.doc.user/[3.4 .0.v20080612-1340,3.4.0.v20080612-1340]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.ejb/[1.1.200. v200806041500,1.1.200.v200806041500]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.ejb/[1.1.203. v200811060500,1.1.203.v200811060500]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.web_core.feature.f eature.jar/[3.0.0.v200806092130-7M7AERgEFp_acwcEhxa_fS,3.0.0 .v200806092130-7M7AERgEFp_acwcEhxa_fS]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.web_core.feature.f eature.jar/[3.0.3.v200810020322-7M7AEX2EFp_acwkiuz-bTpl,3.0. 3.v200810020322-7M7AEX2EFp_acwkiuz-bTpl]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jem/[2.0.200.v20080605 1600,2.0.200.v200806051600]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jem/[2.0.202.v20081028 2000,2.0.202.v200810282000]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4. 0.v3448f]]
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.1.v3449c,3.4. 1.v3449c]]
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/[1.1.200. v200806041500,1.1.200.v200806041500]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.jca/[1.1.203. v200811060900,1.1.203.v200811060900]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.0.v3448f,3.4.0.v3448f]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.swt.win32.win32.x86/[3 .4.1.v3449c,3.4.1.v3449c]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.0 .v20080324a-989JERhEk-jWnd5IY8K5tjxB,3.4.0.v20080324a-989JER hEk-jWnd5IY8K5tjxB]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.rcp.feature.jar/[3.4.1 00.r341_v20080814-989JESIEdAciFYfkZZsBfSwQ2341,3.4.100.r341_ v20080814-989JESIEdAciFYfkZZsBfSwQ2341]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity /[1.1.1.v200809180120,1.1.1.v200809180120]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.datatools.connectivity /[1.1.0.v200805160228,1.1.0.v200805160228]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/[1.1.0.v2 0080606,1.1.0.v20080606]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.jsf.core/[1.1.102. v20080909,1.1.102.v20080909]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.standard.schemas/[ 1.0.100.v200806021952,1.0.100.v200806021952]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.standard.schemas/[ 1.0.101.v200807220523,1.0.101.v200807220523]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.101.M 20080805_34x,3.3.101.M20080805_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.help.webapp/[3.3.100.v 20080528,3.3.100.v20080528]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/[2.0.100 .v200806051600,2.0.100.v200806051600]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jem.workbench/[2.0.102 .v200810230530,2.0.102.v200810230530]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.1.r34x_20 080827,3.4.1.r34x_20080827]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.team.ui/[3.4.0.I200806 04,3.4.0.I20080604]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 1.v20080702_34x,3.3.101.v20080702_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.cheatsheets/[3.3.10 0.v20080508,3.3.100.v20080508]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/[1.1.200 .v200806052000,1.1.200.v200806052000]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.j2ee.core/[1.1.202 .v200811111600,1.1.202.v200811111600]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.201.v200 80702_34x,3.2.201.v20080702_34x]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.ui.intro/[3.2.200.v200 80610,3.2.200.v20080610]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/ [1.1.200.v200805140020,1.1.200.v200805140020]]
>>>
>>> and Match[requiredCapability:
>>> org.eclipse.equinox.p2.iu/org.eclipse.jst.common.frameworks/ [1.1.201.v200810161330,1.1.201.v200810161330]]
>>>
>>> can be satisfied.
>>> Cannot find a solution where both Mat
Previous Topic:100% CPU while editing JSP
Next Topic:Cant install Java EE Developer Tools - Eclipse 3.5M4
Goto Forum:
  


Current Time: Fri Nov 28 20:51:24 GMT 2014

Powered by FUDForum. Page generated in 0.05200 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software